For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set WHOIS profile as default

Set WHOIS contact profile as default.

Set WHOIS profile as default

put

Set WHOIS contact profile as default.

The default profile is pre-selected for the TLD it belongs to when registering new domains.

Use this endpoint to avoid picking contact information for every registration.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
whoisIdintegerRequired

WHOIS ID

Example: 564651
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
put/api/domains/v1/whois/default/{whoisId}
PUT /api/domains/v1/whois/default/{whoisId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?